package solver

import (
	"log"
	"time"
)

// A simple function to track time
// Use with `defer`
func (solver *Solver) timeTrack(start time.Time, msg string) {
	elapsed := time.Since(start)
	log.Printf("%s (%s)", msg, elapsed)
}
